## dsc-statistics 201203250530

=== collector/Makefile ===
all clean install:
	(cd dsc; test -s Makefile || ./configure ; $(MAKE) $@)
	(cd cron; $(MAKE) $@)

=== presenter/Makefile ===
INSTALLDIR=/usr/local/dsc
MKDIRS=data cache etc var var/log

all clean:
	(cd cron; $(MAKE) $@)
	(cd extractor; $(MAKE) $@)
	(cd grapher; $(MAKE) $@)
	(cd perllib; test -f Makefile || perl Makefile.PL ; $(MAKE) $@)

install:
	@for f in ${MKDIRS} ; do \
	if test -d ${INSTALLDIR}/$$f ; then true ; else \
		echo install -d -m 755 $(INSTALLDIR)/$$f/ ; \
		install -d -m 755 $(INSTALLDIR)/$$f/ ; \
	fi \
	done
	(cd perllib; test -f Makefile || perl Makefile.PL ; $(MAKE) $@)
	(cd cron; $(MAKE) $@)
	(cd extractor; $(MAKE) $@)
	(cd grapher; $(MAKE) $@)

=== collector/cron/Makefile ===

SCRIPTS += upload-x509.sh
SCRIPTS += upload-rsync.sh
SCRIPTS += upload-ssh.sh
SCRIPTS += upload-prep.pl

INSTALLDIR=/usr/local/dsc

all:
	@if perl -e 'use Proc::PID::File;' 2>/dev/null ; then \
		true ; \
	else \
		echo "WARNING:" ; \
		echo "    upload-prep.pl requires the Proc::PID::File Perl module" ; \
		echo "    Please install it before proceeding" ; \
		false ; \
	fi

install:
	@if test -n "$(INSTALLDIR)" ; then echo "installing in $$INSTALLDIR" ; else echo "set INSTALLDIR first"; false ; fi
	test -d $(INSTALLDIR)/libexec || mkdir $(INSTALLDIR)/libexec
	install -m 755 $(SCRIPTS) $(INSTALLDIR)/libexec/

clean:

=== presenter/cron/Makefile ===

SCRIPTS += refile-and-grok.sh
SCRIPTS += remove-xmls.pl

INSTALLDIR=/usr/local/dsc

all:

install:
	@if test -n "$(INSTALLDIR)" ; then echo "installing in $$INSTALLDIR" ; else echo "set INSTALLDIR first"; false ; fi
	test -d $(INSTALLDIR)/libexec || mkdir $(INSTALLDIR)/libexec
	install -m 755 $(SCRIPTS) $(INSTALLDIR)/libexec/

clean:

=== presenter/extractor/Makefile ===

LIBEXECS += dsc-xml-extractor.pl
LIBEXECS += put-file.pl

INSTALLDIR=/usr/local/dsc

all:
	@if perl -c -e 'use DSC::extractor;' 2>/dev/null ; then \
	for f in ${LIBEXECS} ; do \
		echo "perl -c $$f" ; \
		perl -c $$f ; \
	done \
	fi

install: all
	@if test -n "$(INSTALLDIR)" ; then echo "installing in $$INSTALLDIR" ; else echo "set INSTALLDIR first"; false ; fi
	install -d -m 755 $(INSTALLDIR)/libexec/
	install -m 755 $(LIBEXECS) $(INSTALLDIR)/libexec/

clean:

=== presenter/grapher/Makefile ===

LIBEXECFILES += dsc-grapher.pl.sample

ETCFILES  += dsc-grapher.cfg.sample

SHAREHTMLFILES	+= plot.page
SHAREHTMLFILES	+= icons/1downarrow.png
SHAREHTMLFILES	+= icons/1leftarrow.png
SHAREHTMLFILES	+= icons/1rightarrow.png
SHAREHTMLFILES	+= icons/1uparrow.png
SHAREHTMLFILES	+= icons/2downarrow.png
SHAREHTMLFILES	+= icons/2leftarrow.png
SHAREHTMLFILES	+= icons/2rightarrow.png
SHAREHTMLFILES	+= icons/2uparrow.png

INSTALLDIR=/usr/local/dsc

all:

install:
	@if test -n "${INSTALLDIR}" ; then echo "installing in $$INSTALLDIR" ; else echo "set INSTALLDIR first"; false ; fi
	@test -d ${INSTALLDIR}/libexec/ || mkdir ${INSTALLDIR}/libexec/
	install -m 755 ${LIBEXECFILES} ${INSTALLDIR}/libexec/
	test -f ${INSTALLDIR}/libexec/dsc-grapher.pl || install -m 755 dsc-grapher.pl.sample ${INSTALLDIR}/libexec/dsc-grapher.pl
	install -m 755 ${LIBEXECFILES} ${INSTALLDIR}/libexec/
	@test -d ${INSTALLDIR}/etc/ || mkdir ${INSTALLDIR}/etc/
	install -m 644 ${ETCFILES} ${INSTALLDIR}/etc/
	@test -d ${INSTALLDIR}/share/ || mkdir ${INSTALLDIR}/share/
	@test -d ${INSTALLDIR}/share/html || mkdir ${INSTALLDIR}/share/html/
	install -m 644 ${SHAREHTMLFILES} ${INSTALLDIR}/share/html/

clean:

## dsc-statistics 201008131729

=== debian/changelog ===
dsc-statistics (201008131729-6ubuntu1) oneiric; urgency=low

  * Fix FTBFS, ignoring "too many changes in docs since release,
    .orig.tar.gz repackaging needed" message.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Aug 2011 14:17:56 +0200

dsc-statistics (201008131729-6) unstable; urgency=low

  * work around debhelper limitation to allow arch-only
    builds. Thanks to Ansgar Burchardt.
  * make puiparts (hopefully) happy: improve
    dsc-statistics-presenter.cron.daily's behavior on removed package
    and/or non-existent data

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 12 Apr 2011 11:23:51 +0200

dsc-statistics (201008131729-5) unstable; urgency=low

  * restrict Architecture to linux-any - libpcap seems to be
    slightly strange on kFreeBSD. Closes: #622226
  * Add sharutils to build-depends. Closes: #621765, #621771
  * Optimize package descriptions, make lintian happy.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 11 Apr 2011 11:16:35 +0200

dsc-statistics (201008131729-4) unstable; urgency=low

  * do not ship upstream .ps in binary package
  * do not ship upstream .pdf in binary package
  * pdftotext both upstream .pdf and locally built .pdfs, wdiff both
    text files and abort if differences found
  * add VCS-Lines to debian/control

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 23 Mar 2011 09:58:56 +0100

dsc-statistics (201008131729-3) unstable; urgency=low

  * add logging to pull-and-process-data, to cater for munin plugin
  * add munin plugin for dsc-presenter
  * patch in upstream doc sources from svn
    https://www.measurement-factory.com/svn/dsc/trunk/doc/dsc-manual.tex
    (Revision: 12842, Username: anonsvn, Password: anonsvn)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 11 Feb 2011 12:37:23 +0100

dsc-statistics (201008131729-2) unstable; urgency=low

  * fix broken processing of single-instance configuration
  * do not abort pull-and-process-data if one host is down
  * remove virtual host statement from apache2 config
  * pull-and-process-data now aborts if a symlink is found on the way
    to the config file.
  * fix presenter cron.daily job to actually process cache dir
  * depend on libgeo-ip-perl instead of libip-country-perl
  * collector init script: generate interface clause for interfaces that
    are actually up. dsc-collector won't start if any interfaces are
    not up.
  * add cron.daily job cleaning up XML files and cache
  * Package is team maintained
  * ship presenter cron job in disabled state
  * mention grapher URL in README
  * remove /var/cache/dsc-statistics-presenter on purge
  * add a basic cron job processing locally collected data

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 30 Nov 2010 21:12:30 +0100

dsc-statistics (201008131729-0) UNRELEASED; urgency=low

  * Initial release. (Closes: #505405)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 08 Sep 2010 14:31:54 +0200

=== debian/control ===
Source: dsc-statistics
Section: utils
Priority: optional
Build-Depends: debhelper (>> 7.0.50~), libpcap0.8-dev, libproc-pid-file-perl, libgeoip-dev, autotools-dev, transfig, netpbm, texlive-latex-recommended, ghostscript, wdiff, poppler-utils, sharutils
Maintainer: Debian dsc Maintainer Team <dsc-maintainers@lists.alioth.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, Sebastian Laubscher <sebastian+debian@laubscher.name>
Homepage: http://dns.measurement-factory.com/tools/dsc/index.html
VCS-Git: https://alioth.debian.org/anonscm/git/dsc/dsc.git
VCS-Browser: https://alioth.debian.org/scm/browser.php?group_id=100554
Standards-Version: 3.9.1

Package: dsc-statistics-collector
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libproc-pid-file-perl, adduser
Suggests: rsync
Conflicts: dsc-collector
Description: DNS Statistics Collector - Collector component
 dsc (A DNS Statistics Collector) is a system for collecting and
 exploring statistics from busy DNS servers. It currently has two
 major components, the Collector and the Presenter, each of which
 being its own binary package built from the same source.
 .
 This package contains the Collector, which uses libpcap to sniff
 DNS messages sent and received on a network interface. It may run on
 the same machine as the DNS server, or on another system connected to
 a switch configured with port mirroring. Datasets are dumped to
 disk every 60 seconds as XML files. These can then be moved to a
 separate server running dsc's presenter component for archiving and
 further processing.

Package: dsc-statistics-presenter
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libcgi-untaint-perl, libfile-flock-perl, libfile-nfslock-perl, libhash-merge-perl, libgeo-ip-perl, libmath-calc-units-perl, libnet-dns-perl, libtext-template-perl, liburi-perl, libproc-pid-file-perl, libxml-simple-perl, ploticus, liblockfile1, apache2, adduser
Suggests: rsync
Conflicts: dsc-presenter
Description: DNS Statistics Collector - Presenter component
 dsc (A DNS Statistics Collector) is a system for collecting and
 exploring statistics from busy DNS servers. It currently has two
 major components, the Collector and the Presenter, each of which
 being its own binary package built from the same source.
 .
 This package contains the Presenter. A variety of methods moves XML
 datasets from the hosts running the collector. Next, an extractor
 process converts them to line-based text files.
 .
 To display data in a web browser, dsc uses a CGI script. The interface
 allows you to change time scales, select particular nodes within a
 server cluster, and isolate individual dataset keys.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGENAME=dsc-statistics

%:
	dh $@

override_dh_auto_build:
	cd collector && $(MAKE)
	cd presenter && $(MAKE)
	cd docsrc && uudecode screenshot1.png.uu && $(MAKE)

override_dh_auto_clean:
	#cd collector/TmfBase/Hapy && $(MAKE) distclean
	cd collector && $(MAKE) clean
	cd presenter && $(MAKE) clean
	if [ -d docsrc ]; then cd docsrc && $(MAKE) clean && rm -f screenshot1.png; fi
	rm -rf $(CURDIR)/debian/tmp
	rm -f debian/dsc.8
	#$(CURDIR)/collector/TmfBase/Hapy/src/.deps \
	#       $(CURDIR)/collector/TmfBase/Hapy/tests/.deps

binary-arch:
	dh --before dh_install $@
	mkdir -p $(CURDIR)/debian/tmp
	chmod 755 debian/dsc-rsync-pull debian/pull-and-process-data
	cd collector && $(MAKE) install INSTALLDIR=$(CURDIR)/debian/tmp PREFIX=$(CURDIR)/debian/tmp
	mv debian/tmp/etc/dsc.conf.sample $(CURDIR)/debian/dsc-statistics-collector/usr/share/doc/dsc-statistics-collector/examples/dsc.cfg
	mv debian/tmp/libexec/upload-ssh.sh $(CURDIR)/debian/dsc-statistics-collector/usr/share/dsc-statistics-collector/upload-ssh
	mv debian/tmp/libexec/upload-x509.sh $(CURDIR)/debian/dsc-statistics-collector/usr/share/dsc-statistics-collector/upload-x509
	mv debian/tmp/libexec/upload-rsync.sh $(CURDIR)/debian/dsc-statistics-collector/usr/share/dsc-statistics-collector/upload-rsync
	mv debian/tmp/libexec/upload-prep.pl $(CURDIR)/debian/dsc-statistics-collector/usr/share/dsc-statistics-collector/upload-prep
	cp debian/dsc-collector.cfg $(CURDIR)/debian/dsc-statistics-collector/etc/dsc-statistics
	/usr/bin/pod2man --section=8 --release="DSC $(PKG_VER)" --lax \
	--center="Debian GNU/Linux" debian/dsc.pod > debian/dsc.8
	pdftotext docsrc/dsc-manual.pdf docsrc/dsc-manual.txt
	pdftotext doc/dsc-manual.pdf doc/dsc-manual.txt
	-if [ "$$(wdiff --no-common docsrc/dsc-manual.txt doc/dsc-manual.txt | wc -l)" -gt 6 ]; then \
		echo "too many changes in docs since release, .orig.tar.gz repackaging needed"; \
		exit 1; \
	fi
	cp docsrc/dsc-manual.pdf $(CURDIR)/debian/dsc-statistics-collector/usr/share/doc/dsc-statistics-collector/dsc-manual.pdf
	dh_install -a
	dh --remaining $@

binary-indep:
	dh --before dh_install $@
	cd presenter && $(MAKE) install INSTALLDIR=$(CURDIR)/debian/tmp PREFIX=$(CURDIR)/debian/tmp
	mv debian/tmp/libexec/dsc-grapher.pl $(CURDIR)/debian/dsc-statistics-presenter/usr/lib/cgi-bin/dsc-statistics/dsc-grapher
	mv debian/tmp/libexec/remove-xmls.pl $(CURDIR)/debian/dsc-statistics-presenter/usr/share/dsc-statistics-presenter/remove-xmls
	mv debian/tmp/libexec/dsc-grapher.pl.sample $(CURDIR)/debian/dsc-statistics-presenter/usr/share/doc/dsc-statistics-presenter/examples/dsc-grapher
	mv debian/tmp/libexec/refile-and-grok.sh $(CURDIR)/debian/dsc-statistics-presenter/usr/share/dsc-statistics-presenter/refile-and-grok
	mv debian/tmp/libexec/put-file.pl $(CURDIR)/debian/dsc-statistics-presenter/usr/share/dsc-statistics-presenter/put-file
	mv debian/tmp/libexec/dsc-xml-extractor.pl $(CURDIR)/debian/dsc-statistics-presenter/usr/share/dsc-statistics-presenter/dsc-xml-extractor
	cp debian/dsc-grapher.cfg $(CURDIR)/debian/dsc-statistics-presenter/etc/dsc-statistics
	cp debian/dsc-statistics-presenter.apache2 $(CURDIR)/debian/dsc-statistics-presenter/etc/apache2/conf.d/dsc-statistics-presenter
	cp docsrc/dsc-manual.pdf $(CURDIR)/debian/dsc-statistics-presenter/usr/share/doc/dsc-statistics-presenter/dsc-manual.pdf
	dh_install -i
	dh --remaining $@

binary: binary-arch binary-indep

## dsc-statistics 201106061022

=== debian/changelog ===
dsc-statistics (201106061022-4) unstable; urgency=low

  * copy-local-and-process-data: use cp, rm instead of rsync to avoid dependency
  * dsc-rsync-pull: log missing rsync, streamline logging, allow sf options
  * new pull-and-process-data allowing parallel processing
  * replace refile-and-grok script with local, parallel version
  * dsc-statistics-presenter.cron.d: fix wrong binary path
  * dsc-statistics-presenter: add openssh-client to Suggests

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 06 Sep 2011 17:51:32 +0200

dsc-statistics (201106061022-3) unstable; urgency=low

  * new upload to fix botched previous upload

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 05 Sep 2011 13:36:22 +0200

dsc-statistics (201106061022-2) unstable; urgency=low

  * remove lintian overrides, we now declare our changes in debian/source
  * add iproute to -collector dependencies
  * add geoip-database to -collector dependencies
  * add cron to -collector and -presenter dependencies

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 26 Aug 2011 13:34:58 +0000

dsc-statistics (201106061022-1) unstable; urgency=low

  * new upstream release 201106061022
  * remove patches/pcap-nonblock (applied upstream). Take care, quilt
    will happily add the three lines a second time.
  * relax wdiff of the generated docs, Debian LaTeX will generate
    different whitespace.
  * clean up doc/dsc-manual.txt
  * Standards-Version: 3.9.2 (no changes necessary)
  * Change lintian override to format-3.0-but-debian-changes-patch

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 18 Jul 2011 15:38:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Homepage: http://dns.measurement-factory.com/tools/dsc/index.html
 VCS-Git: https://alioth.debian.org/anonscm/git/dsc/dsc.git
 VCS-Browser: https://alioth.debian.org/scm/browser.php?group_id=100554
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: dsc-statistics-collector
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libproc-pid-file-perl, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, libproc-pid-file-perl,
+ adduser, iproute, geoip-database, cron
 Suggests: rsync
 Conflicts: dsc-collector
 Description: DNS Statistics Collector - Collector component
@@ -30,8 +31,12 @@
 
 Package: dsc-statistics-presenter
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcgi-untaint-perl, libfile-flock-perl, libfile-nfslock-perl, libhash-merge-perl, libgeo-ip-perl, libmath-calc-units-perl, libnet-dns-perl, libtext-template-perl, liburi-perl, libproc-pid-file-perl, libxml-simple-perl, ploticus, liblockfile1, apache2, adduser
-Suggests: rsync
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcgi-untaint-perl,
+ libfile-flock-perl, libfile-nfslock-perl, libhash-merge-perl,
+ libgeo-ip-perl, libmath-calc-units-perl, libnet-dns-perl,
+ libtext-template-perl, liburi-perl, libproc-pid-file-perl,
+ libxml-simple-perl, ploticus, liblockfile1, apache2, adduser, cron
+Suggests: rsync, openssh-client
 Conflicts: dsc-presenter
 Description: DNS Statistics Collector - Presenter component
  dsc (A DNS Statistics Collector) is a system for collecting and

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	cd collector && $(MAKE) clean
 	cd presenter && $(MAKE) clean
 	if [ -d docsrc ]; then cd docsrc && $(MAKE) clean && rm -f screenshot1.png; fi
+	rm -f doc/dsc-manual.txt
 	rm -rf $(CURDIR)/debian/tmp
 	rm -f debian/dsc.8
 	#$(CURDIR)/collector/TmfBase/Hapy/src/.deps \
@@ -23,7 +24,7 @@
 binary-arch:
 	dh --before dh_install $@
 	mkdir -p $(CURDIR)/debian/tmp
-	chmod 755 debian/dsc-rsync-pull debian/pull-and-process-data
+	chmod 755 debian/dsc-rsync-pull debian/pull-and-process-data debian/refile-and-grok
 	cd collector && $(MAKE) install INSTALLDIR=$(CURDIR)/debian/tmp PREFIX=$(CURDIR)/debian/tmp
 	mv debian/tmp/etc/dsc.conf.sample $(CURDIR)/debian/dsc-statistics-collector/usr/share/doc/dsc-statistics-collector/examples/dsc.cfg
 	mv debian/tmp/libexec/upload-ssh.sh $(CURDIR)/debian/dsc-statistics-collector/usr/share/dsc-statistics-collector/upload-ssh
@@ -35,7 +36,7 @@
 	--center="Debian GNU/Linux" debian/dsc.pod > debian/dsc.8
 	pdftotext docsrc/dsc-manual.pdf docsrc/dsc-manual.txt
 	pdftotext doc/dsc-manual.pdf doc/dsc-manual.txt
-	-if [ "$$(wdiff --no-common docsrc/dsc-manual.txt doc/dsc-manual.txt | wc -l)" -gt 6 ]; then \
+	if [ "$$(wdiff --no-common docsrc/dsc-manual.txt doc/dsc-manual.txt | wc -l)" -gt 8 ]; then \
 		echo "too many changes in docs since release, .orig.tar.gz repackaging needed"; \
 		exit 1; \
 	fi

## dsc-statistics 201203250530

=== debian/changelog ===
dsc-statistics (201203250530-2) unstable; urgency=low

  * don't remove account on purge
  * move home directory to /var/lib/dsc-statistics (Closes: #668740)
  * add a NEWS file documenting the home directory change

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 15 Dec 2012 16:25:58 +0100

dsc-statistics (201203250530-1) unstable; urgency=low

  * Imported Upstream version 201203250530
  * refresh patches
  * add texlive-generic-recommended to Build-Depends.
    Thanks to Lucas Nussbaum and Salvatore Bonaccorso. Closes: #669530
  * add plot.page patch to move control panel to the right. Closes: #651260
  * apache 2.4 transition: Closes: #669744
    * Fix dependencies of -presenter.
    * move /etc/apache2/conf.d to /etc/apache2/conf-available
    * move conf.d file to conf-available
  * handle existing but empty docsrc/
  * Standards-Version: 3.9.3 (no changes needed)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 07 May 2012 22:31:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dsc-statistics
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>> 7.0.50~), libpcap0.8-dev, libproc-pid-file-perl, libgeoip-dev, autotools-dev, transfig, netpbm, texlive-latex-recommended, ghostscript, wdiff, poppler-utils, sharutils
+Build-Depends: debhelper (>= 8.1.0~), libpcap0.8-dev, libproc-pid-file-perl, libgeoip-dev, autotools-dev, transfig, netpbm, texlive-latex-recommended, texlive-generic-recommended, ghostscript, wdiff, poppler-utils, sharutils
 Maintainer: Debian dsc Maintainer Team <dsc-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, Sebastian Laubscher <sebastian+debian@laubscher.name>
 Homepage: http://dns.measurement-factory.com/tools/dsc/index.html
 VCS-Git: https://alioth.debian.org/anonscm/git/dsc/dsc.git
 VCS-Browser: https://alioth.debian.org/scm/browser.php?group_id=100554
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: dsc-statistics-collector
 Architecture: linux-any
@@ -35,7 +35,8 @@
  libfile-flock-perl, libfile-nfslock-perl, libhash-merge-perl,
  libgeo-ip-perl, libmath-calc-units-perl, libnet-dns-perl,
  libtext-template-perl, liburi-perl, libproc-pid-file-perl,
- libxml-simple-perl, ploticus, liblockfile1, apache2, adduser, cron
+ libxml-simple-perl, ploticus, liblockfile1, adduser, cron
+Recommends: apache2 | httpd
 Suggests: rsync, openssh-client
 Conflicts: dsc-presenter
 Description: DNS Statistics Collector - Presenter component

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,13 @@
 override_dh_auto_build:
 	cd collector && $(MAKE)
 	cd presenter && $(MAKE)
-	cd docsrc && uudecode screenshot1.png.uu && $(MAKE)
+	if [ -e docsrc/screenshot1.png.uu ]; then cd docsrc && uudecode screenshot1.png.uu && $(MAKE); fi
 
 override_dh_auto_clean:
 	#cd collector/TmfBase/Hapy && $(MAKE) distclean
 	cd collector && $(MAKE) clean
 	cd presenter && $(MAKE) clean
-	if [ -d docsrc ]; then cd docsrc && $(MAKE) clean && rm -f screenshot1.png; fi
+	if [ -e docsrc/Makefile ]; then cd docsrc && $(MAKE) clean && rm -f screenshot1.png; fi
 	rm -f doc/dsc-manual.txt
 	rm -rf $(CURDIR)/debian/tmp
 	rm -f debian/dsc.8
@@ -54,7 +54,7 @@
 	mv debian/tmp/libexec/put-file.pl $(CURDIR)/debian/dsc-statistics-presenter/usr/share/dsc-statistics-presenter/put-file
 	mv debian/tmp/libexec/dsc-xml-extractor.pl $(CURDIR)/debian/dsc-statistics-presenter/usr/share/dsc-statistics-presenter/dsc-xml-extractor
 	cp debian/dsc-grapher.cfg $(CURDIR)/debian/dsc-statistics-presenter/etc/dsc-statistics
-	cp debian/dsc-statistics-presenter.apache2 $(CURDIR)/debian/dsc-statistics-presenter/etc/apache2/conf.d/dsc-statistics-presenter
+	cp debian/dsc-statistics-presenter.apache2 $(CURDIR)/debian/dsc-statistics-presenter/etc/apache2/conf-available/dsc-statistics-presenter.conf
 	cp docsrc/dsc-manual.pdf $(CURDIR)/debian/dsc-statistics-presenter/usr/share/doc/dsc-statistics-presenter/dsc-manual.pdf
 	dh_install -i
 	dh --remaining $@
